Anonymous Login
2017-11-21 14:58 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001462OpenClonkEnginepublic2016-08-19 11:39
ReporterMaikel 
Assigned ToIsilkor 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version6.0 
Target Version7.0Fixed in Version7.0 
Summary0001462: Crash when restarting a savegame with player assignment
DescriptionSee the backtrace. Savegame attached.
Additional Information[21:43:15] Recreating: Maikel
[21:43:15] C4Group::RewindFilePtr() for Player.txt (/home/maikel/.clonk/openclonk//Maikel.ocp) after Zwirbel.oci

Program received signal SIGSEGV, Segmentation fault.
0x0000000000a258d1 in C4Set<C4Property>::Has<C4String*> (this=0x12,
    e=0x10b3058 <Strings+4120>)
    at /home/maikel/openclonk/repos/src/script/C4StringTable.h:182
182 T * r = &Table[h % Capacity];
(gdb) bt
#0 0x0000000000a258d1 in C4Set<C4Property>::Has<C4String*> (this=0x12,
    e=0x10b3058 <Strings+4120>)
    at /home/maikel/openclonk/repos/src/script/C4StringTable.h:182
#1 0x0000000000bf913e in C4PropList::GetPropertyInt (this=0x2, n=P_Type,
    default_val=0)
    at /home/maikel/openclonk/repos/src/script/C4PropList.cpp:662
#2 0x0000000000bb297f in C4SoundModifierList::Get (
    this=0x10badd0 <Application+21968>, props=0x2, create_if_not_found=true)
    at /home/maikel/openclonk/repos/src/platform/C4SoundModifiers.cpp:293
0000003 0x0000000000bbfcdd in C4Player::SetSoundModifier (this=0x2f1b120,
    new_modifier=0x2)
    at /home/maikel/openclonk/repos/src/player/C4Player.cpp:1893
#4 0x0000000000bb7811 in C4Player::Init (this=0x2f1b120, iNumber=0,
    iAtClient=0, szAtClientName=0x29b9f20 "Maikel",
    szFilename=0x2d11be8 "/home/maikel/.clonk/openclonk//Maikel.ocp",
    fScenarioInit=false, pInfo=0x253fa50, numbers=0x7fffffffc2b0)
    at /home/maikel/openclonk/repos/src/player/C4Player.cpp:352
0000005 0x0000000000bc3336 in C4PlayerList::Join (this=0x11416b0 <Players>,
    szFilename=0x2d11be8 "/home/maikel/.clonk/openclonk//Maikel.ocp",
    fScenarioInit=false, iAtClient=0, szAtClientName=0x29b9f20 "Maikel",
    pInfo=0x253fa50, numbers=0x7fffffffc2b0)
    at /home/maikel/openclonk/repos/src/player/C4PlayerList.cpp:308
0000006 0x000000000089c0be in C4PlayerInfoList::RecreatePlayers (
---Type <return> to continue, or q <return> to quit---
    this=0x110ca10 <GameParameters+336>, numbers=0x7fffffffc2b0)
    at /home/maikel/openclonk/repos/src/control/C4PlayerInfo.cpp:1592
0000007 0x00000000008ce49c in C4Game::InitPlayers (this=0x10c0a40 <Game>,
    numbers=0x7fffffffc2b0)
    at /home/maikel/openclonk/repos/src/game/C4Game.cpp:2472
0000008 0x00000000008c606f in C4Game::Init (this=0x10c0a40 <Game>)
    at /home/maikel/openclonk/repos/src/game/C4Game.cpp:475
0000009 0x00000000008c295c in C4Application::GameTick (
    this=0x10b5800 <Application>)
    at /home/maikel/openclonk/repos/src/game/C4Application.cpp:691
#10 0x00000000008c3353 in C4ApplicationGameTimer::Execute (this=0x1293720,
    iTimeout=0) at /home/maikel/openclonk/repos/src/game/C4Application.cpp:917
0000011 0x0000000000c40bcf in StdScheduler::DoScheduleProcs (this=
    0x10b5800 <Application>, iTimeout=27)
    at /home/maikel/openclonk/repos/src/platform/StdSchedulerPoll.cpp:175
#12 0x0000000000baa159 in C4AbstractApp::DoScheduleProcs (this=
    0x10b5800 <Application>, iTimeout=27)
    at /home/maikel/openclonk/repos/src/platform/C4App.cpp:37
0000013 0x0000000000c3f054 in StdScheduler::ScheduleProcs (
    this=0x10b5800 <Application>, iTimeout=27)
    at /home/maikel/openclonk/repos/src/platform/StdScheduler.cpp:153
0000014 0x0000000000baa115 in C4AbstractApp::Run (this=0x10b5800 <Application>)
    at /home/maikel/openclonk/repos/src/platform/C4App.cpp:25
---Type <return> to continue, or q <return> to quit---
0000015 0x000000000080b1ab in main (argc=1, argv=0x7fffffffd7d8)
    at /home/maikel/openclonk/repos/src/game/ClonkMain.cpp:237
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004171

Clonkonaut (developer)

Savegame resuming is broken in general, I think.

~0004235

Isilkor (developer)

Fixed in 812e40f.

~0004236

Sven2 (developer)

Last edited: 2015-12-02 20:42

View 2 revisions

What about the global modifier in C4Game? It should have the same problem (it's just not used by any scenario at the moment)

~0004237

Isilkor (developer)

Unfortunately I have no idea how the sound modifier stuff works, so I can't test whether the bug exists and/or if it's fixed, and you're probably able to come up with a test case easier than me.

~0004241

Sven2 (developer)

OK added denunmeration for C4Game::GlobalSoundModifier as well.

~0005324

Newton (administrator)

Archiving old resolved bugs
+Notes

-Issue History
Date Modified Username Field Change
2015-11-25 21:45 Maikel New Issue
2015-11-25 21:46 Maikel File Added: FloodedVeins.ocs
2015-11-25 21:46 Maikel Description Updated View Revisions
2015-11-30 13:08 Clonkonaut Note Added: 0004171
2015-11-30 13:08 Clonkonaut Status new => confirmed
2015-12-02 16:18 Isilkor Assigned To => Isilkor
2015-12-02 16:18 Isilkor Status confirmed => assigned
2015-12-02 16:57 Isilkor Note Added: 0004235
2015-12-02 16:57 Isilkor Status assigned => resolved
2015-12-02 16:57 Isilkor Fixed in Version => 7.0
2015-12-02 16:57 Isilkor Resolution open => fixed
2015-12-02 20:41 Sven2 Note Added: 0004236
2015-12-02 20:42 Sven2 Status resolved => feedback
2015-12-02 20:42 Sven2 Resolution fixed => reopened
2015-12-02 20:42 Sven2 Note Edited: 0004236 View Revisions
2015-12-02 20:58 Isilkor Note Added: 0004237
2015-12-02 20:58 Isilkor Assigned To Isilkor => Sven2
2015-12-03 02:29 Sven2 Note Added: 0004241
2015-12-03 02:29 Sven2 Status feedback => resolved
2015-12-03 02:29 Sven2 Resolution reopened => fixed
2015-12-03 02:29 Sven2 Assigned To Sven2 => Isilkor
2016-08-19 11:39 Newton Note Added: 0005324
2016-08-19 11:39 Newton Status resolved => closed
+Issue History